model gateway
Create model gateway rotate key
Requires scopes: admin:org
POST
/
api
/
model-gateway
/
configs
/
{id}
/
rotate-key
Create model gateway rotate key
curl --request POST \
--url https://evalgate.com/api/model-gateway/configs/{id}/rotate-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"apiKey": "<string>"
}
'import requests
url = "https://evalgate.com/api/model-gateway/configs/{id}/rotate-key"
payload = { "apiKey": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({apiKey: '<string>'})
};
fetch('https://evalgate.com/api/model-gateway/configs/{id}/rotate-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"backend": "<string>",
"name": "<string>",
"baseUrl": "<string>",
"keyPrefix": "<string>",
"keyVersion": 123,
"isActive": true,
"isDefault": true,
"allowedUseCases": [
"<string>"
],
"dataPolicy": "<string>",
"requireZdr": true,
"requireCalibrationForJudge": true,
"fallbackEnabled": true,
"fallbackMaxAttempts": 123,
"maxCostPerRequest": "<string>",
"maxCostPerRun": "<string>",
"maxCostPerDay": "<string>",
"maxCostPerMonth": "<string>",
"lastHealthCheckAt": "<string>",
"lastHealthCheckStatus": "<string>",
"lastHealthCheckError": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
⌘I
Create model gateway rotate key
